link_info Struct Reference

Activity structure passed to link_poll. More...

`#include <link.h>`

## Data Fields

struct link * | link
| The link to be polled.
int | events
| The events to wait for (LINK_READ or LINK_WRITE).
int | revents
| The events returned (LINK_READ or LINK_WRITE).

## Detailed Description

Activity structure passed to link_poll.

## Field Documentation

## link

struct link* link_info::link

The link to be polled.

## events

int link_info::events

The events to wait for (LINK_READ or LINK_WRITE).

## revents

int link_info::revents

The events returned (LINK_READ or LINK_WRITE).

The documentation for this struct was generated from the following file:

- link.h